> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/upload-vector-data/upload-vector-file.md).

# Upload vector file

| Description     | Uploads a file.                                      |
| --------------- | ---------------------------------------------------- |
| **Description** | Uploads a file using a multipart form.               |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/file` |
| **Method**      | POST                                                 |

### Access Level Rules

| **Minimum Access Level** | edit+ |
| ------------------------ | ----- |

### Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="400">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>name</code></td><td>The name of the file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>format</code></td><td>The format of the file.</td><td>true</td><td></td></tr><tr><td><code>data</code></td><td>The file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>epsg</code></td><td>The epsg of the file as an integer. Required if the file itself does not contain a coordinate system.</td><td>false</td><td>Default null.</td></tr><tr><td><code>method</code></td><td>The method through which the data is processed. Must be one of "full", "downsample" or "simplify".</td><td>false</td><td>Default "full".</td></tr><tr><td><code>dateColumns</code></td><td>Array of strings containing the column names of date columns.</td><td>false</td><td>Default null.</td></tr><tr><td><code>datePatterns</code></td><td>Array of date patterns of the dateColumns. Must be a format similar to %y-%m-%dT%H:%M:%S.</td><td>false</td><td>Default null.</td></tr><tr><td><code>fastUpload</code></td><td>Boolean indicating whether to perform fast upload, which allows faster processing speeds at the cost of temporarily disabling the timestamp. Mandatory to be true when the file contains over 1 million geometries.</td><td>false</td><td>Default false.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/upload-vector-data/upload-vector-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
